Node('ma7.config.sea.psi.ch',
     '6.8 Tesla horizontal cryomagnet',
)

Mod('sea_main',
    'frappy_psi.sea.SeaClient',
    'main sea connection for ma7.config',
    config='ma7.config',
    service='main',
)

Mod('tt',
    'frappy_psi.sea.LscDrivable', '',
    io='sea_main',
    meaning=['temperature_regulation', 27],
    sea_object='tt',
    sensor_path='tm',
    set_path='set',
)

Mod('cc',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='cc',
)

Mod('nv',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='nv',
)

Mod('hefill',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='hefill',
)

Mod('hepump',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='hepump',
)

Mod('hemot',
    'frappy_psi.sea.SeaDrivable', '',
    io='sea_main',
    sea_object='hemot',
)

Mod('ln2fill',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='ln2fill',
)

Mod('mf',
    'frappy_psi.sea.SeaDrivable', '',
    io='sea_main',
    sea_object='mf',
    value=Param(unit='T'),
)

Mod('lev',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='lev',
)

Mod('tcoil1',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_path='tcoil/ta',
)

Mod('tcoil2',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_path='tcoil/tb',
)

Mod('table',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='table',
)

Mod('stick_io',
    'frappy_psi.phytron.PhytronIO',
    'dom motor IO',
    uri='ma7-ts.psi.ch:3007',
)

Mod('stickrot',
    'frappy_psi.phytron.Motor',
    'stick rotation, typically not used as omega',
    io='stick_io',
    encoder_mode='CHECK',
)
